=== debian/changelog ===
ros-kinetic-move-base-to-manip (1.0.18-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Andy Zelenak <andyz@utexas.edu>  Wed, 14 Jun 2017 19:04:59 -0000

ros-kinetic-move-base-to-manip (1.0.2-1xenial) xenial; urgency=high

  * Adding CMakeLists to install everything.
  * Contributors: nrgadmin

 -- Andy Zelenak <andyz@utexas.edu>  Tue, 21 Feb 2017 06:00:00 -0000

ros-kinetic-move-base-to-manip (1.0.1-1xenial) xenial; urgency=high

  * Adding another error message.
  * Making the while loop exit gracefully.
  * Updating a comment in provide_target.cpp.
  * Taking out the extra height.
  * Modifying CMakeLists to install, too.
  * Adding the source files.
  * Initial commit
  * Contributors: AndyZe, nrgadmin, vaultbot

 -- Andy Zelenak <andyz@utexas.edu>  Tue, 21 Feb 2017 06:00:00 -0000
